summaryrefslogtreecommitdiff
path: root/dev-python/packaging/packaging-24.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-09 06:44:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-09 06:44:33 +0000
commit8dbb5b51ae56898f1522d5fb2abfee1cd806170f (patch)
treefbe7405f63d4bc6343fa7b2497bbd015cc42c92d /dev-python/packaging/packaging-24.2.ebuild
parentff0c8514e2b1abf6b092416b67a5bd58d1cf9653 (diff)
downloadbaldeagleos-repo-8dbb5b51ae56898f1522d5fb2abfee1cd806170f.tar.gz
baldeagleos-repo-8dbb5b51ae56898f1522d5fb2abfee1cd806170f.tar.xz
baldeagleos-repo-8dbb5b51ae56898f1522d5fb2abfee1cd806170f.zip
Adding metadata
Diffstat (limited to 'dev-python/packaging/packaging-24.2.ebuild')
-rw-r--r--dev-python/packaging/packaging-24.2.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/packaging/packaging-24.2.ebuild b/dev-python/packaging/packaging-24.2.ebuild
new file mode 100644
index 000000000000..484e62c3db91
--- /dev/null
+++ b/dev-python/packaging/packaging-24.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core utilities for Python packages"
+HOMEPAGE="
+ https://github.com/pypa/packaging/
+ https://pypi.org/project/packaging/
+"
+
+LICENSE="|| ( Apache-2.0 BSD-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/setuptools-67
+"
+DEPEND="
+ test? (
+ dev-python/pretend[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest --capture=no
+}